## wavparse wavparse — Parse a .wav file into raw audio |

## Types and Values

struct | GstWavParse

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstWavParse

## Description

Parse a .wav file into raw or compressed audio.

Wavparse supports both push and pull mode operations, making it possible to stream from a network source.

### Example launch line

    1
    gst-launch filesrc location=sine.wav ! wavparse ! audioconvert ! alsasink

Read a wav file and output to the soundcard using the ALSA element. The wav file is assumed to contain raw uncompressed samples.

    1
    gst-launch gnomevfssrc location=http://www.example.org/sine.wav ! queue ! wavparse ! audioconvert ! alsasink

Stream data from a network url.

Last reviewed on 2007-02-14 (0.10.6)

## Synopsis

### Element Information

plugin | wavparse
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Codec/Demuxer/Audio

### Element Pads

name | wavparse_sink
direction | sink
presence | always
details | audio/x-wav

name | wavparse_src
direction | source
presence | sometimes
details | audio/ms-gsm, rate=(int)[ 1, 96000 ], channels=(int)[ 1, 2 ]
| audio/mpeg, mpegversion=(int)1, layer=(int)3, rate=(int)[ 8000, 48000 ], channels=(int)[ 1, 2 ]
| audio/mpeg, mpegversion=(int)1, layer=(int)2, rate=(int)[ 16000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-raw-int, endianness=(int)1234, signed=(boolean){ true, false }, width=(int){ 8, 16, 24, 32 }, depth=(int)[ 1, 32 ], rate=(int)[ 1000, 192000 ], channels=(int)[ 1, 8 ]
| audio/x-vorbis, rate=(int)[ 1000, 192000 ], channels=(int)[ 1, 2 ]
| audio/x-ac3, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 6 ]
| audio/x-dts
| audio/mpeg, mpegversion=(int)4, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 8 ]
| audio/x-alaw, rate=(int)[ 1000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-mulaw, rate=(int)[ 1000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-wms, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-adpcm, layout=(string)microsoft, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-adpcm, layout=(string)dvi, rate=(int)[ 1000, 48000 ], channels=(int)[ 1, 2 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-truespeech, rate=(int)8000, channels=(int)[ 1, 2 ]
| audio/x-wma, wmaversion=(int)1, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 6 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-wma, wmaversion=(int)2, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 6 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-wma, wmaversion=(int)3, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 6 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-vnd.sony.atrac3, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-raw-float, endianness=(int)1234, width=(int){ 32, 64 }, rate=(int)[ 1000, 192000 ], channels=(int)[ 1, 8 ]
| audio/x-voxware, voxwaretype=(int)117, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string)dk4, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string)dk3, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string)dvi, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]
| audio/AMR, rate=(int)8000, channels=(int)1
| audio/AMR-WB, rate=(int)16000, channels=(int)1
| audio/x-siren
| application/x-ogg-avi

## Functions

## Types and Values

### struct GstWavParse

    struct GstWavParse;

Opaque data structure.